Subject: bug#30655: xset(1) not accepting symlink to font path

From: Marco van Hulten <[email-masked]>
Date: Thu, 01 Mar 2018 22:27:35 +0100

Alex—

Je  1 mrt 20:47 skribis Alex:
> I fixed it on my side simply by making 'my-xorg-server' package
> that uses a "fixed" version of libxfont (that supports symlinks).
> 
> If anyone is interested, I also wrote a descriptive commit message here:
> 
>   https://notabug.org/alezost/guix-config/commit/161d5e2e36e53c0d9c46181e10e1595e607748dd

That's an interesting approach as well!  Of course, the change in the
documentation as Ludo' proposed is a bit less invasive :-)

I wonder if the libXfont security issue couldn't be solved in a way
such that it can still handle symlinks.  But it is not something to
dwell over long: the documentation change is sufficient in my opinion.

—Marco